Subject: bug#78583: 31.0.50; emacs --fg-daemon not protecting frame F1

From: Eli Zaretskii <[email-masked]>
Date: Thu, 29 May 2025 09:23:51 +0300

> Date: Thu, 29 May 2025 06:42:57 +0530 (IST)
> Cc: [email-masked], [email-masked]
> From: Madhu <[email-masked]>
> 
> *  Eli Zaretskii <[email-masked]> <[email-masked]>
> > I understand, but I don't see why this should be forbidden.
> 
> It should not. (as I said "(it should still be possible, but only
> after warning and user confirmation).")
> 
> Maybe it is possible to do this via delete-frame-functions.

Patches to that effect are welcome, but I hope we all agree that this
is not a regression, just a potentially dangerous operation that was
always allowed, and which we now would like to be protected by a
confirmation prompt.